<template>
  <div class="m-sign-up d-block mb-3">
    <component
      @set-component="setComponent"
      :params="params"
      :is="pageComponentName"
    ></component>
  </div>
</template>

<script>
import authMixin from "~/mixins/authMixin";

export default {
  mixins: [authMixin],
  data() {
    return {
      pageComponentName: "login",
      params: {},
    };
  },
  methods: {
    setComponent(data) {
      this.pageComponentName = data.name;
      this.params = data?.params;
    },
  },

 
};
</script>
<style scope lang="scss">
@import "../../assets/auth/modal/m-signup";
</style>
